## NAME

v.net.bridge - Computes bridges and articulation points in the network.

## KEYWORDS

vector, network, articulation points

## SYNOPSIS

v.net.bridge
v.net.bridge help
v.net.bridge input=name output=name [layer=integer] method=string [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
method=string
  Feature type
  Options: bridge,articulation
  bridge: Finds bridges
  articulation: Finds articulation points

## DESCRIPTION

v.net.bridge finds bridges and articulation points in a network.

## NOTES

Bridge in a network is an edge/line whose removal would disconnect the (sub-)network. A node is an articulation point if its removal would disconnect the (sub-)network. For more information and formal definitions check the wikipedia entries: bridge and articulation point.

The output of the module contains the selected features. For method=bridge, lines corresponding to bridges are copied from the input map to the output map. On the other hand, for method=articulation, points are created on the positions of articulation points.

In GRASS GIS, line is not always a single line segment. It might be, and often is, a sequence of line segments between two intersections. Also, articulation point is a standard graph theoretic terminology which is slightly misleading in GRASS. An articulation point in graph theory is an articulation node in GRASS terminology.

## EXAMPLES

    	TBD

## SEE ALSO

v.net, v.category,

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

Last changed: $Date: 2013-05-23 22:01:55 +0200 (čt, 23 V 2013) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team